%define upstream_name    Scope-Upper
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Act on upper scopes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Scope/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(base)
BuildRequires: perl-devel
%description
This module lets you defer actions _at run-time_ that will take place when
the control flow returns into an upper scope. Currently, you can:

* *

  hook an upper scope end with the /reap manpage ;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes META.json META.yml README samples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Fri Oct 14 2011 jquelin <jquelin> 0.180.0-1.mga2
+ Revision: 154840
- update to 0.18
- update to 0.15

* Sun Jun 12 2011 sander85 <sander85> 0.140.0-2.mga2
+ Revision: 104953
- Rebuild for perl 5.14

* Mon Feb 28 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 61512
- update to 0.14

* Sat Jan 22 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 31135
- mageia rebuild
- imported package perl-Scope-Upper


* Thu Dec 30 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.130.0-1mdv2011.0
+ Revision: 626241
- new version

* Fri Dec 03 2010 Shlomi Fish <shlomif@mandriva.org> 0.120.0-1mdv2011.0
+ Revision: 607543
- import perl-Scope-Upper

